/**
 *  Copyright (C) 2009 Emerson Ribeiro de Mello, Fernando Fernandes Simão
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Copyright (C) 2009 Emerson Ribeiro de Mello, Fernando Fernandes Simão
 *
 *  Este programa é software livre; você pode redistribuí-lo e/ou
 *  modificá-lo sob os termos da Licença Pública Geral GNU, conforme
 *  publicada pela Free Software Foundation; tanto a versão 2 da
 *  Licença como (a seu critério) qualquer versão mais nova.
 *
 *  Este programa é distribuído na expectativa de ser útil, mas SEM
 *  QUALQUER GARANTIA; sem mesmo a garantia implícita de
 *  COMERCIALIZAÇÃO ou de ADEQUAÇÃO A QUALQUER PROPÓSITO EM
 *  PARTICULAR. Consulte a Licença Pública Geral GNU para obter mais
 *  detalhes.
 *
 *  Você deve ter recebido uma cópia da Licença Pública Geral GNU
 *  junto com este programa; se não, escreva para a Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307, USA.
 */
package objetos;

import abstrata.Personagem;
import javax.swing.JPanel;

public class PotenciaCanhaoDePlasma extends Personagem {

    public int velocidade = 1; // velocidade horizontal
    private boolean direcao; //

    public PotenciaCanhaoDePlasma(String nomeImagem, JPanel jp, int px, int py) {
        super(nomeImagem, jp, px, py);
        this.direcao = false;
    }

    /**
     * Algoritmo para movimentação do powerup de potência do canhão
     * Se for false, desloca para esquerda, se for true, para direita
     */
    public void moverPotenciaCanhaoDePlasma() {
        // se for false, desloca para esquerda
        if (direcao == false) {
            x -= velocidade;
            // se a posição x for igual a zero, muda a movimentação
            if (x == 0) {
                direcao = true;
            }
        }
        // se for true, desloca para direita
        if (direcao == true) {
            x += velocidade;
            // se a posição x for igual a largura, muda a movimentação
            if (x == (tela.getWidth() - getLargura())) {
                direcao = false;
            }
        }
    }
}
